<%--
  这是一个JSP注释，不会被发送到客户端。它包含了文件的创建信息。
  Created by IntelliJ IDEA.
  User: jhu
  Date: 2020/10/5
  Time: 14:50
  To change this template use File | Settings | File Templates.
--%>

<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<!-- 指定页面内容类型、字符集和脚本语言 -->

<html>
<!-- HTML文档的根元素 -->
<head>
    <!-- 文档的头部 -->
    <title>结算页面</title>
    <!-- 设置页面标题 -->

    <%@include file="/pages/common/header.jsp"%>
    <!-- 包含公共头部文件，通常包含CSS、JavaScript链接等 -->

    <!-- 下面的div元素应该放在body内，而不是head内，但这里可能是个错误或复制粘贴时的疏忽 -->
    <div id="header">
        <!-- 头部容器 -->
        <img class="logo_img" alt="" src="static/img/logo.jpg" >
        <!-- 网站logo图片 -->
        <span class="wel_word">结算</span>
        <!-- 欢迎词或当前页面标识 -->
        <%@include file="/pages/common/login_success_menu.jsp"%>
        <!-- 包含登录成功后的菜单 -->
    </div>

    <!-- 注意：上面的div元素应该被移除到body标签内 -->
</head>
<body>
<!-- 文档的主体 -->

<div id="main">
    <!-- 主要内容容器 -->

    <form action="client/orderServlet?action=createOrder" method="post">
        <!-- 提交表单到orderServlet的createOrder动作 -->
        <input type="hidden">
        <!-- 隐藏输入字段，此处未指定name属性，可能是个占位符 -->
        <table width="80%">
            <!-- 表格，宽度为页面宽度的80% -->
            <tr>
                <td bgcolor="#F7FEFF" colspan="4">
                    <!-- 表格单元格，背景色为#F7FEFF，横跨4列 -->
                    支付金额：<INPUT id="money" TYPE="text" NAME="money" size="6" value="${sessionScope.cart.totalPrice}">元</td> <!-- 显示支付金额，从会话中获取购物车总价 -->
            </tr>
            <tr>
                <td><br /></td>
                <!-- 空行 -->
            </tr>
            <tr>
                <td colspan="4">请您选择在线支付银行</td>
                <!-- 提示用户选择支付银行 -->
            </tr>
            <!-- 下面的几行是银行选择项，每个单选按钮代表一个银行 -->
            <tr>
                <td><INPUT TYPE="radio" NAME="pd_FrpId" value="CMBCHINA-NET">招商银行</td>
                <td><INPUT TYPE="radio" NAME="pd_FrpId" value="ICBC-NET">工商银行</td>
                <td><INPUT TYPE="radio" NAME="pd_FrpId" value="ABC-NET">农业银行</td>
                <td><INPUT TYPE="radio" NAME="pd_FrpId" value="CCB-NET">建设银行</td>
            </tr>
            <tr>
                <td><INPUT TYPE="radio" NAME="pd_FrpId" value="CMBC-NET">中国民生银行总行</td>
                <td><INPUT TYPE="radio" NAME="pd_FrpId" value="CEB-NET">光大银行</td>
                <td><INPUT TYPE="radio" NAME="pd_FrpId" value="BOCO-NET">交通银行</td>
                <td><INPUT TYPE="radio" NAME="pd_FrpId" value="SDB-NET">深圳发展银行</td>
            </tr>
            <tr>
                <td><INPUT TYPE="radio" NAME="pd_FrpId" value="BCCB-NET">北京银行</td>
                <td><INPUT TYPE="radio" NAME="pd_FrpId" value="CIB-NET">兴业银行</td>
                <td><INPUT TYPE="radio" NAME="pd_FrpId" value="SPDB-NET">上海浦东发展银行</td>
                <td><INPUT TYPE="radio" NAME="pd_FrpId" value="ECITIC-NET">中信银行</td>
            </tr>
            <tr>
                <td><br /></td>
                <!-- 空行 -->
            </tr>
            <tr>
                <td colspan="4"><INPUT TYPE="submit" value="确定支付"></td>
                <!-- 提交按钮 -->
            </tr>
        </table>
    </form>

</div>

<%@include file="/pages/common/footer.jsp"%>
<!-- 包含公共页脚文件 -->

</body>
<!-- 注意：这里有一个多余的</body>标签，应该被移除 -->
</html>