<%--
  这部分是关于该文件创建的相关注释内容，说明了此文件是通过IntelliJ IDEA创建的，创建者是“jhu”，创建时间为2020年10月5日10时45分，并且告知若要对这个模板文件进行修改，可以在文件设置里找到文件模板相关功能来操作。
--%>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<html>
<head>
    <title>404</title>
    <%-- 通过JSP的指令引入公共的头部页面（header.jsp），通常这个公共头部页面包含了页面通用的一些元素，比如样式表的链接、脚本文件的引入，或者是页面头部通用的布局结构代码等，这样做是为了实现代码复用，多个页面可以共用这些设置，减少重复编写代码的工作量。 --%>
    <%@include file="/pages/common/header.jsp"%>
</head>
<body>
<div id="header">
    <img class="logo_img" alt="" src="static/img/logo.gif" >
    <span class="wel_word">错误提示</span>
    <%-- 在“header”这个div区域中，展示了一个图片（其替代文本为空，最好能补充合适的替代文本方便屏幕阅读器等识别），同时显示“错误提示”字样，用于给用户一个直观的页面提示信息的开头部分，告知用户当前页面是用于提示出现错误情况的。 --%>
</div>
<div id="main">
    <table>
        <tr>
            <td style="width: 300px">亲，你没有管理员权限哦！</td>
            <%-- 在表格的第一行单元格中，明确给出提示信息，告知用户当前操作因为没有管理员权限而无法进行，让用户清楚知晓出现此页面的原因。 --%>
        </tr>
        <tr>
            <td>
                <a href="pages/user/login.jsp" style="size: 300px;color: red">管理员登录</a>
                <%-- 创建一个超链接，链接指向“pages/user/login.jsp”页面，也就是引导用户去进行管理员登录操作，同时设置了链接文字的样式，不过原代码中“size”属性的写法不符合规范（正确的应该是“font-size”用于设置字号），这里按原代码注释，颜色设置为红色，使其更醒目，方便用户看到并点击操作。 --%>
                <a href="index.jsp" style="size: 300px;color: red">返回首页</a>
                <%-- 再创建一个超链接，指向“index.jsp”页面，用于引导用户返回首页，同样设置了字号（原代码中写法有误）和颜色样式，给用户提供另一种操作选择，方便用户离开当前提示页面。 --%>
            </td>
        </tr>
    </table>
</div>

<!-- 这是页脚的引入 -->
<%@ include file="/pages/common/footer.jsp" %>
<%-- 使用JSP指令引入公共的页脚页面（footer.jsp），一般来说，页脚页面里会放置像版权信息、网站的联系方式、相关声明等页面底部通用的内容，通过这种引入方式实现代码复用，保证整个网站各个页面的页脚部分信息呈现的一致性。 --%>
</body>
</html>